Get season credits
curl --request GET \
--url https://api.themoviedb.org/3/tv/1399/season/1/credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/1399/season/1/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/1399/season/1/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/1399/season/1/credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/1399/season/1/credits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/1399/season/1/credits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/1399/season/1/credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cast": [
{
"adult": false,
"character": "Tyrion 'The Halfman' Lannister",
"credit_id": "5256c8b219c2956ff6047cd8",
"gender": 2,
"id": 22970,
"known_for_department": "Acting",
"name": "Peter Dinklage",
"order": 0,
"original_name": "Peter Dinklage",
"popularity": 32.259,
"profile_path": "/9CAd7wr8QZyIN0E7nm8v1B6WkGn.jpg"
},
{
"adult": false,
"character": "Jon Snow",
"credit_id": "5256c8af19c2956ff6047af6",
"gender": 2,
"id": 239019,
"known_for_department": "Acting",
"name": "Kit Harington",
"order": 1,
"original_name": "Kit Harington",
"popularity": 22.536,
"profile_path": "/4MqUjb1SYrzHmFSyGiXnlZWLvBs.jpg"
},
{
"adult": false,
"character": "Lord Eddard 'Ned' Stark",
"credit_id": "58c7134792514179d20011a9",
"gender": 2,
"id": 48,
"known_for_department": "Acting",
"name": "Sean Bean",
"order": 2,
"original_name": "Sean Bean",
"popularity": 34.761,
"profile_path": "/kTjiABk3TJ3yI0Cto5RsvyT6V3o.jpg"
},
{
"adult": false,
"character": "Robert Baratheon",
"credit_id": "5256c8ad19c2956ff60478e2",
"gender": 2,
"id": 13633,
"known_for_department": "Acting",
"name": "Mark Addy",
"order": 3,
"original_name": "Mark Addy",
"popularity": 23.093,
"profile_path": "/xTYkZn5Z1VZ7L7V37hzsVRSyrY2.jpg"
},
{
"adult": false,
"character": "Robb Stark",
"credit_id": "5256c8af19c2956ff6047b1a",
"gender": 2,
"id": 512991,
"known_for_department": "Acting",
"name": "Richard Madden",
"order": 4,
"original_name": "Richard Madden",
"popularity": 29.181,
"profile_path": "/kC7X9LgAtJfpxUBRtVwaVTEXomH.jpg"
},
{
"adult": false,
"character": "Sir Jaime 'Kingslayer' Lannister",
"credit_id": "5256c8ad19c2956ff604793e",
"gender": 2,
"id": 12795,
"known_for_department": "Acting",
"name": "Nikolaj Coster-Waldau",
"order": 5,
"original_name": "Nikolaj Coster-Waldau",
"popularity": 33.867,
"profile_path": "/rpFOERbHkj7GWxkinUNiQ76sSGk.jpg"
},
{
"adult": false,
"character": "Cersei Lannister",
"credit_id": "5256c8ad19c2956ff60479ce",
"gender": 1,
"id": 17286,
"known_for_department": "Acting",
"name": "Lena Headey",
"order": 6,
"original_name": "Lena Headey",
"popularity": 25.987,
"profile_path": "/5SL4Y4alOYF9EahObfsb6GaDHg4.jpg"
},
{
"adult": false,
"character": "Catelyn Stark",
"credit_id": "5256c8ad19c2956ff604796a",
"gender": 1,
"id": 20057,
"known_for_department": "Acting",
"name": "Michelle Fairley",
"order": 7,
"original_name": "Michelle Fairley",
"popularity": 16.299,
"profile_path": "/eBKT3hf2W2YRwqgcKU92zfEttKp.jpg"
},
{
"adult": false,
"character": "Daenerys Targaryen",
"credit_id": "5256c8af19c2956ff60479f6",
"gender": 1,
"id": 1223786,
"known_for_department": "Acting",
"name": "Emilia Clarke",
"order": 8,
"original_name": "Emilia Clarke",
"popularity": 57.327,
"profile_path": "/wb8VfDPGpyqcFltnRcJR1Wj3h4Z.jpg"
},
{
"adult": false,
"character": "Arya Stark",
"credit_id": "5256c8b419c2956ff6047f0c",
"gender": 1,
"id": 1181313,
"known_for_department": "Acting",
"name": "Maisie Williams",
"order": 10,
"original_name": "Maisie Williams",
"popularity": 31.821,
"profile_path": "/5RjD4dDpRDAhalFtvcUj7zdLWYB.jpg"
},
{
"adult": false,
"character": "Sir Jorah Mormont",
"credit_id": "5256c8af19c2956ff6047a5c",
"gender": 2,
"id": 20508,
"known_for_department": "Acting",
"name": "Iain Glen",
"order": 11,
"original_name": "Iain Glen",
"popularity": 27.595,
"profile_path": "/n9zXQhjtXQnc30kqF66hdX4i3PG.jpg"
},
{
"adult": false,
"character": "Brandon 'Bran' Stark",
"credit_id": "5256c8b119c2956ff6047c22",
"gender": 2,
"id": 239020,
"known_for_department": "Acting",
"name": "Isaac Hempstead Wright",
"order": 12,
"original_name": "Isaac Hempstead Wright",
"popularity": 10.71,
"profile_path": "/g6ZreLmGrrOzaUCGVFRNPAWfcso.jpg"
},
{
"adult": false,
"character": "Petyr 'Littlefinger' Baelish",
"credit_id": "5256c8af19c2956ff6047aa4",
"gender": 2,
"id": 49735,
"known_for_department": "Acting",
"name": "Aidan Gillen",
"order": 13,
"original_name": "Aidan Gillen",
"popularity": 28.42,
"profile_path": "/fWWRgyJEGjOPcx43CaFiUCWMBLo.jpg"
},
{
"adult": false,
"character": "Sansa Stark",
"credit_id": "5256c8b419c2956ff6047f34",
"gender": 1,
"id": 1001657,
"known_for_department": "Acting",
"name": "Sophie Turner",
"order": 15,
"original_name": "Sophie Turner",
"popularity": 30.56,
"profile_path": "/7nIRWX482ug7fEyufNAL7868kFY.jpg"
},
{
"adult": false,
"character": "Viserys Targaryen",
"credit_id": "5256c8af19c2956ff6047ac2",
"gender": 2,
"id": 205258,
"known_for_department": "Acting",
"name": "Harry Lloyd",
"order": 18,
"original_name": "Harry Lloyd",
"popularity": 11.872,
"profile_path": "/qZSf6OzRpDaZdOCX6pynSRp6jVV.jpg"
},
{
"adult": false,
"character": "Sandor 'The Hound' Clegane",
"credit_id": "5256c8b119c2956ff6047c84",
"gender": 2,
"id": 3075,
"known_for_department": "Acting",
"name": "Rory McCann",
"order": 19,
"original_name": "Rory McCann",
"popularity": 11.868,
"profile_path": "/gGpgbNQVthuzXEZaGRGVqWhk2o5.jpg"
},
{
"adult": false,
"character": "Theon Greyjoy",
"credit_id": "5256c8b019c2956ff6047b5a",
"gender": 2,
"id": 71586,
"known_for_department": "Acting",
"name": "Alfie Allen",
"order": 21,
"original_name": "Alfie Allen",
"popularity": 10.997,
"profile_path": "/7j5xcDQa81jzHbyFajNlN2BGFeZ.jpg"
},
{
"adult": false,
"character": "Joffrey Baratheon",
"credit_id": "5256c8b119c2956ff6047c4e",
"gender": 2,
"id": 489467,
"known_for_department": "Acting",
"name": "Jack Gleeson",
"order": 23,
"original_name": "Jack Gleeson",
"popularity": 16.383,
"profile_path": "/97NkocCiLUwNzMDYjngSm5soGlN.jpg"
}
],
"crew": [
{
"adult": false,
"credit_id": "5256c8c419c2956ff604867c",
"department": "Production",
"gender": 2,
"id": 1223796,
"job": "Producer",
"known_for_department": "Production",
"name": "Frank Doelger",
"original_name": "Frank Doelger",
"popularity": 0.795,
"profile_path": null
},
{
"adult": false,
"credit_id": "5c8c8a9d0e0a2612f15252ae",
"department": "Production",
"gender": 2,
"id": 1223799,
"job": "Line Producer",
"known_for_department": "Directing",
"name": "Christopher Newman",
"original_name": "Christopher Newman",
"popularity": 1.607,
"profile_path": "/ih2QUcObX8Xaq9GailAUSf5B1hg.jpg"
},
{
"adult": false,
"credit_id": "5c6d16640e0a262c999fc3c9",
"department": "Art",
"gender": 2,
"id": 8410,
"job": "Set Decoration",
"known_for_department": "Art",
"name": "Richard Roberts",
"original_name": "Richard Roberts",
"popularity": 1.195,
"profile_path": null
},
{
"adult": false,
"credit_id": "5c8c8b779251410ff49defe1",
"department": "Production",
"gender": 2,
"id": 56746,
"job": "Co-Producer",
"known_for_department": "Writing",
"name": "Greg Spence",
"original_name": "Greg Spence",
"popularity": 0.622,
"profile_path": "/j0PVwXUTb4RdfXhUhpJBQj7ZvVK.jpg"
},
{
"adult": false,
"credit_id": "54eee8b8c3a3686d5e005430",
"department": "Art",
"gender": 1,
"id": 9153,
"job": "Production Design",
"known_for_department": "Art",
"name": "Gemma Jackson",
"original_name": "Gemma Jackson",
"popularity": 0.786,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256c8c819c2956ff60487d8",
"department": "Production",
"gender": 1,
"id": 1187530,
"job": "Producer",
"known_for_department": "Production",
"name": "Bernadette Caulfield",
"original_name": "Bernadette Caulfield",
"popularity": 2.199,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256c8c519c2956ff604872c",
"department": "Production",
"gender": 2,
"id": 53758,
"job": "Producer",
"known_for_department": "Production",
"name": "Guymon Casady",
"original_name": "Guymon Casady",
"popularity": 0.973,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256c8c519c2956ff60486fa",
"department": "Production",
"gender": 2,
"id": 54269,
"job": "Producer",
"known_for_department": "Production",
"name": "Ralph Vicinanza",
"original_name": "Ralph Vicinanza",
"popularity": 0.832,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256c8c319c2956ff6048650",
"department": "Production",
"gender": 2,
"id": 8401,
"job": "Producer",
"known_for_department": "Production",
"name": "Mark Huffam",
"original_name": "Mark Huffam",
"popularity": 1.564,
"profile_path": null
},
{
"adult": false,
"credit_id": "54ef391cc3a3686b9a003bd0",
"department": "Production",
"gender": 2,
"id": 1019426,
"job": "Casting",
"known_for_department": "Production",
"name": "Robert Sterne",
"original_name": "Robert Sterne",
"popularity": 6.073,
"profile_path": "/mV9p5hU0N2MlcuKWnsuXbnbITdv.jpg"
},
{
"adult": false,
"credit_id": "54ef3928925141796e00614d",
"department": "Production",
"gender": 1,
"id": 16363,
"job": "Casting",
"known_for_department": "Production",
"name": "Nina Gold",
"original_name": "Nina Gold",
"popularity": 5.077,
"profile_path": "/emeKuabMDN3C8x8ibby7FNtjRgu.jpg"
},
{
"adult": false,
"credit_id": "59a4396bc3a368478f059163",
"department": "Production",
"gender": 2,
"id": 54268,
"job": "Co-Executive Producer",
"known_for_department": "Production",
"name": "Vince Gerardis",
"original_name": "Vince Gerardis",
"popularity": 0.674,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256c8c619c2956ff6048758",
"department": "Production",
"gender": 1,
"id": 1223797,
"job": "Executive Producer",
"known_for_department": "Production",
"name": "Carolyn Strauss",
"original_name": "Carolyn Strauss",
"popularity": 0.659,
"profile_path": "/o88ISZv7ILrPMHutX1XVr7trmkF.jpg"
},
{
"adult": false,
"credit_id": "54eeea3bc3a3680b80006048",
"department": "Sound",
"gender": 2,
"id": 10851,
"job": "Original Music Composer",
"known_for_department": "Sound",
"name": "Ramin Djawadi",
"original_name": "Ramin Djawadi",
"popularity": 6.742,
"profile_path": "/6O0Rew78fRUAa80KC2clejmJF26.jpg"
},
{
"adult": false,
"credit_id": "54eeec309251417968005b14",
"department": "Costume & Make-Up",
"gender": 1,
"id": 50953,
"job": "Costume Design",
"known_for_department": "Costume & Make-Up",
"name": "Michele Clapton",
"original_name": "Michele Clapton",
"popularity": 1.13,
"profile_path": null
},
{
"adult": false,
"credit_id": "54eef1fc925141796e005aee",
"department": "Writing",
"gender": 2,
"id": 237053,
"job": "Novel",
"known_for_department": "Writing",
"name": "George R. R. Martin",
"original_name": "George R. R. Martin",
"popularity": 1.823,
"profile_path": "/1A7W0L9dZz0rCN1oj6h8YUvusdN.jpg"
},
{
"adult": false,
"credit_id": "54eef3e19251417965005c64",
"department": "Production",
"gender": 2,
"id": 237053,
"job": "Co-Executive Producer",
"known_for_department": "Writing",
"name": "George R. R. Martin",
"original_name": "George R. R. Martin",
"popularity": 1.823,
"profile_path": "/1A7W0L9dZz0rCN1oj6h8YUvusdN.jpg"
}
],
"id": 3624
}TV seasons
Get season credits
Get season credits.
GET
/
3
/
tv
/
1399
/
season
/
1
/
credits
Get season credits
curl --request GET \
--url https://api.themoviedb.org/3/tv/1399/season/1/credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/1399/season/1/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/1399/season/1/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/1399/season/1/credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/1399/season/1/credits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/1399/season/1/credits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/1399/season/1/credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cast": [
{
"adult": false,
"character": "Tyrion 'The Halfman' Lannister",
"credit_id": "5256c8b219c2956ff6047cd8",
"gender": 2,
"id": 22970,
"known_for_department": "Acting",
"name": "Peter Dinklage",
"order": 0,
"original_name": "Peter Dinklage",
"popularity": 32.259,
"profile_path": "/9CAd7wr8QZyIN0E7nm8v1B6WkGn.jpg"
},
{
"adult": false,
"character": "Jon Snow",
"credit_id": "5256c8af19c2956ff6047af6",
"gender": 2,
"id": 239019,
"known_for_department": "Acting",
"name": "Kit Harington",
"order": 1,
"original_name": "Kit Harington",
"popularity": 22.536,
"profile_path": "/4MqUjb1SYrzHmFSyGiXnlZWLvBs.jpg"
},
{
"adult": false,
"character": "Lord Eddard 'Ned' Stark",
"credit_id": "58c7134792514179d20011a9",
"gender": 2,
"id": 48,
"known_for_department": "Acting",
"name": "Sean Bean",
"order": 2,
"original_name": "Sean Bean",
"popularity": 34.761,
"profile_path": "/kTjiABk3TJ3yI0Cto5RsvyT6V3o.jpg"
},
{
"adult": false,
"character": "Robert Baratheon",
"credit_id": "5256c8ad19c2956ff60478e2",
"gender": 2,
"id": 13633,
"known_for_department": "Acting",
"name": "Mark Addy",
"order": 3,
"original_name": "Mark Addy",
"popularity": 23.093,
"profile_path": "/xTYkZn5Z1VZ7L7V37hzsVRSyrY2.jpg"
},
{
"adult": false,
"character": "Robb Stark",
"credit_id": "5256c8af19c2956ff6047b1a",
"gender": 2,
"id": 512991,
"known_for_department": "Acting",
"name": "Richard Madden",
"order": 4,
"original_name": "Richard Madden",
"popularity": 29.181,
"profile_path": "/kC7X9LgAtJfpxUBRtVwaVTEXomH.jpg"
},
{
"adult": false,
"character": "Sir Jaime 'Kingslayer' Lannister",
"credit_id": "5256c8ad19c2956ff604793e",
"gender": 2,
"id": 12795,
"known_for_department": "Acting",
"name": "Nikolaj Coster-Waldau",
"order": 5,
"original_name": "Nikolaj Coster-Waldau",
"popularity": 33.867,
"profile_path": "/rpFOERbHkj7GWxkinUNiQ76sSGk.jpg"
},
{
"adult": false,
"character": "Cersei Lannister",
"credit_id": "5256c8ad19c2956ff60479ce",
"gender": 1,
"id": 17286,
"known_for_department": "Acting",
"name": "Lena Headey",
"order": 6,
"original_name": "Lena Headey",
"popularity": 25.987,
"profile_path": "/5SL4Y4alOYF9EahObfsb6GaDHg4.jpg"
},
{
"adult": false,
"character": "Catelyn Stark",
"credit_id": "5256c8ad19c2956ff604796a",
"gender": 1,
"id": 20057,
"known_for_department": "Acting",
"name": "Michelle Fairley",
"order": 7,
"original_name": "Michelle Fairley",
"popularity": 16.299,
"profile_path": "/eBKT3hf2W2YRwqgcKU92zfEttKp.jpg"
},
{
"adult": false,
"character": "Daenerys Targaryen",
"credit_id": "5256c8af19c2956ff60479f6",
"gender": 1,
"id": 1223786,
"known_for_department": "Acting",
"name": "Emilia Clarke",
"order": 8,
"original_name": "Emilia Clarke",
"popularity": 57.327,
"profile_path": "/wb8VfDPGpyqcFltnRcJR1Wj3h4Z.jpg"
},
{
"adult": false,
"character": "Arya Stark",
"credit_id": "5256c8b419c2956ff6047f0c",
"gender": 1,
"id": 1181313,
"known_for_department": "Acting",
"name": "Maisie Williams",
"order": 10,
"original_name": "Maisie Williams",
"popularity": 31.821,
"profile_path": "/5RjD4dDpRDAhalFtvcUj7zdLWYB.jpg"
},
{
"adult": false,
"character": "Sir Jorah Mormont",
"credit_id": "5256c8af19c2956ff6047a5c",
"gender": 2,
"id": 20508,
"known_for_department": "Acting",
"name": "Iain Glen",
"order": 11,
"original_name": "Iain Glen",
"popularity": 27.595,
"profile_path": "/n9zXQhjtXQnc30kqF66hdX4i3PG.jpg"
},
{
"adult": false,
"character": "Brandon 'Bran' Stark",
"credit_id": "5256c8b119c2956ff6047c22",
"gender": 2,
"id": 239020,
"known_for_department": "Acting",
"name": "Isaac Hempstead Wright",
"order": 12,
"original_name": "Isaac Hempstead Wright",
"popularity": 10.71,
"profile_path": "/g6ZreLmGrrOzaUCGVFRNPAWfcso.jpg"
},
{
"adult": false,
"character": "Petyr 'Littlefinger' Baelish",
"credit_id": "5256c8af19c2956ff6047aa4",
"gender": 2,
"id": 49735,
"known_for_department": "Acting",
"name": "Aidan Gillen",
"order": 13,
"original_name": "Aidan Gillen",
"popularity": 28.42,
"profile_path": "/fWWRgyJEGjOPcx43CaFiUCWMBLo.jpg"
},
{
"adult": false,
"character": "Sansa Stark",
"credit_id": "5256c8b419c2956ff6047f34",
"gender": 1,
"id": 1001657,
"known_for_department": "Acting",
"name": "Sophie Turner",
"order": 15,
"original_name": "Sophie Turner",
"popularity": 30.56,
"profile_path": "/7nIRWX482ug7fEyufNAL7868kFY.jpg"
},
{
"adult": false,
"character": "Viserys Targaryen",
"credit_id": "5256c8af19c2956ff6047ac2",
"gender": 2,
"id": 205258,
"known_for_department": "Acting",
"name": "Harry Lloyd",
"order": 18,
"original_name": "Harry Lloyd",
"popularity": 11.872,
"profile_path": "/qZSf6OzRpDaZdOCX6pynSRp6jVV.jpg"
},
{
"adult": false,
"character": "Sandor 'The Hound' Clegane",
"credit_id": "5256c8b119c2956ff6047c84",
"gender": 2,
"id": 3075,
"known_for_department": "Acting",
"name": "Rory McCann",
"order": 19,
"original_name": "Rory McCann",
"popularity": 11.868,
"profile_path": "/gGpgbNQVthuzXEZaGRGVqWhk2o5.jpg"
},
{
"adult": false,
"character": "Theon Greyjoy",
"credit_id": "5256c8b019c2956ff6047b5a",
"gender": 2,
"id": 71586,
"known_for_department": "Acting",
"name": "Alfie Allen",
"order": 21,
"original_name": "Alfie Allen",
"popularity": 10.997,
"profile_path": "/7j5xcDQa81jzHbyFajNlN2BGFeZ.jpg"
},
{
"adult": false,
"character": "Joffrey Baratheon",
"credit_id": "5256c8b119c2956ff6047c4e",
"gender": 2,
"id": 489467,
"known_for_department": "Acting",
"name": "Jack Gleeson",
"order": 23,
"original_name": "Jack Gleeson",
"popularity": 16.383,
"profile_path": "/97NkocCiLUwNzMDYjngSm5soGlN.jpg"
}
],
"crew": [
{
"adult": false,
"credit_id": "5256c8c419c2956ff604867c",
"department": "Production",
"gender": 2,
"id": 1223796,
"job": "Producer",
"known_for_department": "Production",
"name": "Frank Doelger",
"original_name": "Frank Doelger",
"popularity": 0.795,
"profile_path": null
},
{
"adult": false,
"credit_id": "5c8c8a9d0e0a2612f15252ae",
"department": "Production",
"gender": 2,
"id": 1223799,
"job": "Line Producer",
"known_for_department": "Directing",
"name": "Christopher Newman",
"original_name": "Christopher Newman",
"popularity": 1.607,
"profile_path": "/ih2QUcObX8Xaq9GailAUSf5B1hg.jpg"
},
{
"adult": false,
"credit_id": "5c6d16640e0a262c999fc3c9",
"department": "Art",
"gender": 2,
"id": 8410,
"job": "Set Decoration",
"known_for_department": "Art",
"name": "Richard Roberts",
"original_name": "Richard Roberts",
"popularity": 1.195,
"profile_path": null
},
{
"adult": false,
"credit_id": "5c8c8b779251410ff49defe1",
"department": "Production",
"gender": 2,
"id": 56746,
"job": "Co-Producer",
"known_for_department": "Writing",
"name": "Greg Spence",
"original_name": "Greg Spence",
"popularity": 0.622,
"profile_path": "/j0PVwXUTb4RdfXhUhpJBQj7ZvVK.jpg"
},
{
"adult": false,
"credit_id": "54eee8b8c3a3686d5e005430",
"department": "Art",
"gender": 1,
"id": 9153,
"job": "Production Design",
"known_for_department": "Art",
"name": "Gemma Jackson",
"original_name": "Gemma Jackson",
"popularity": 0.786,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256c8c819c2956ff60487d8",
"department": "Production",
"gender": 1,
"id": 1187530,
"job": "Producer",
"known_for_department": "Production",
"name": "Bernadette Caulfield",
"original_name": "Bernadette Caulfield",
"popularity": 2.199,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256c8c519c2956ff604872c",
"department": "Production",
"gender": 2,
"id": 53758,
"job": "Producer",
"known_for_department": "Production",
"name": "Guymon Casady",
"original_name": "Guymon Casady",
"popularity": 0.973,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256c8c519c2956ff60486fa",
"department": "Production",
"gender": 2,
"id": 54269,
"job": "Producer",
"known_for_department": "Production",
"name": "Ralph Vicinanza",
"original_name": "Ralph Vicinanza",
"popularity": 0.832,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256c8c319c2956ff6048650",
"department": "Production",
"gender": 2,
"id": 8401,
"job": "Producer",
"known_for_department": "Production",
"name": "Mark Huffam",
"original_name": "Mark Huffam",
"popularity": 1.564,
"profile_path": null
},
{
"adult": false,
"credit_id": "54ef391cc3a3686b9a003bd0",
"department": "Production",
"gender": 2,
"id": 1019426,
"job": "Casting",
"known_for_department": "Production",
"name": "Robert Sterne",
"original_name": "Robert Sterne",
"popularity": 6.073,
"profile_path": "/mV9p5hU0N2MlcuKWnsuXbnbITdv.jpg"
},
{
"adult": false,
"credit_id": "54ef3928925141796e00614d",
"department": "Production",
"gender": 1,
"id": 16363,
"job": "Casting",
"known_for_department": "Production",
"name": "Nina Gold",
"original_name": "Nina Gold",
"popularity": 5.077,
"profile_path": "/emeKuabMDN3C8x8ibby7FNtjRgu.jpg"
},
{
"adult": false,
"credit_id": "59a4396bc3a368478f059163",
"department": "Production",
"gender": 2,
"id": 54268,
"job": "Co-Executive Producer",
"known_for_department": "Production",
"name": "Vince Gerardis",
"original_name": "Vince Gerardis",
"popularity": 0.674,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256c8c619c2956ff6048758",
"department": "Production",
"gender": 1,
"id": 1223797,
"job": "Executive Producer",
"known_for_department": "Production",
"name": "Carolyn Strauss",
"original_name": "Carolyn Strauss",
"popularity": 0.659,
"profile_path": "/o88ISZv7ILrPMHutX1XVr7trmkF.jpg"
},
{
"adult": false,
"credit_id": "54eeea3bc3a3680b80006048",
"department": "Sound",
"gender": 2,
"id": 10851,
"job": "Original Music Composer",
"known_for_department": "Sound",
"name": "Ramin Djawadi",
"original_name": "Ramin Djawadi",
"popularity": 6.742,
"profile_path": "/6O0Rew78fRUAa80KC2clejmJF26.jpg"
},
{
"adult": false,
"credit_id": "54eeec309251417968005b14",
"department": "Costume & Make-Up",
"gender": 1,
"id": 50953,
"job": "Costume Design",
"known_for_department": "Costume & Make-Up",
"name": "Michele Clapton",
"original_name": "Michele Clapton",
"popularity": 1.13,
"profile_path": null
},
{
"adult": false,
"credit_id": "54eef1fc925141796e005aee",
"department": "Writing",
"gender": 2,
"id": 237053,
"job": "Novel",
"known_for_department": "Writing",
"name": "George R. R. Martin",
"original_name": "George R. R. Martin",
"popularity": 1.823,
"profile_path": "/1A7W0L9dZz0rCN1oj6h8YUvusdN.jpg"
},
{
"adult": false,
"credit_id": "54eef3e19251417965005c64",
"department": "Production",
"gender": 2,
"id": 237053,
"job": "Co-Executive Producer",
"known_for_department": "Writing",
"name": "George R. R. Martin",
"original_name": "George R. R. Martin",
"popularity": 1.823,
"profile_path": "/1A7W0L9dZz0rCN1oj6h8YUvusdN.jpg"
}
],
"id": 3624
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
New Request
Show child attributes
Show child attributes
Example:
[ { "adult": false, "character": "Tyrion 'The Halfman' Lannister", "credit_id": "5256c8b219c2956ff6047cd8", "gender": 2, "id": 22970, "known_for_department": "Acting", "name": "Peter Dinklage", "order": 0, "original_name": "Peter Dinklage", "popularity": 32.259, "profile_path": "/9CAd7wr8QZyIN0E7nm8v1B6WkGn.jpg" }, { "adult": false, "character": "Jon Snow", "credit_id": "5256c8af19c2956ff6047af6", "gender": 2, "id": 239019, "known_for_department": "Acting", "name": "Kit Harington", "order": 1, "original_name": "Kit Harington", "popularity": 22.536, "profile_path": "/4MqUjb1SYrzHmFSyGiXnlZWLvBs.jpg" }, { "adult": false, "character": "Lord Eddard 'Ned' Stark", "credit_id": "58c7134792514179d20011a9", "gender": 2, "id": 48, "known_for_department": "Acting", "name": "Sean Bean", "order": 2, "original_name": "Sean Bean", "popularity": 34.761, "profile_path": "/kTjiABk3TJ3yI0Cto5RsvyT6V3o.jpg" }, { "adult": false, "character": "Robert Baratheon", "credit_id": "5256c8ad19c2956ff60478e2", "gender": 2, "id": 13633, "known_for_department": "Acting", "name": "Mark Addy", "order": 3, "original_name": "Mark Addy", "popularity": 23.093, "profile_path": "/xTYkZn5Z1VZ7L7V37hzsVRSyrY2.jpg" }, { "adult": false, "character": "Robb Stark", "credit_id": "5256c8af19c2956ff6047b1a", "gender": 2, "id": 512991, "known_for_department": "Acting", "name": "Richard Madden", "order": 4, "original_name": "Richard Madden", "popularity": 29.181, "profile_path": "/kC7X9LgAtJfpxUBRtVwaVTEXomH.jpg" }, { "adult": false, "character": "Sir Jaime 'Kingslayer' Lannister", "credit_id": "5256c8ad19c2956ff604793e", "gender": 2, "id": 12795, "known_for_department": "Acting", "name": "Nikolaj Coster-Waldau", "order": 5, "original_name": "Nikolaj Coster-Waldau", "popularity": 33.867, "profile_path": "/rpFOERbHkj7GWxkinUNiQ76sSGk.jpg" }, { "adult": false, "character": "Cersei Lannister", "credit_id": "5256c8ad19c2956ff60479ce", "gender": 1, "id": 17286, "known_for_department": "Acting", "name": "Lena Headey", "order": 6, "original_name": "Lena Headey", "popularity": 25.987, "profile_path": "/5SL4Y4alOYF9EahObfsb6GaDHg4.jpg" }, { "adult": false, "character": "Catelyn Stark", "credit_id": "5256c8ad19c2956ff604796a", "gender": 1, "id": 20057, "known_for_department": "Acting", "name": "Michelle Fairley", "order": 7, "original_name": "Michelle Fairley", "popularity": 16.299, "profile_path": "/eBKT3hf2W2YRwqgcKU92zfEttKp.jpg" }, { "adult": false, "character": "Daenerys Targaryen", "credit_id": "5256c8af19c2956ff60479f6", "gender": 1, "id": 1223786, "known_for_department": "Acting", "name": "Emilia Clarke", "order": 8, "original_name": "Emilia Clarke", "popularity": 57.327, "profile_path": "/wb8VfDPGpyqcFltnRcJR1Wj3h4Z.jpg" }, { "adult": false, "character": "Arya Stark", "credit_id": "5256c8b419c2956ff6047f0c", "gender": 1, "id": 1181313, "known_for_department": "Acting", "name": "Maisie Williams", "order": 10, "original_name": "Maisie Williams", "popularity": 31.821, "profile_path": "/5RjD4dDpRDAhalFtvcUj7zdLWYB.jpg" }, { "adult": false, "character": "Sir Jorah Mormont", "credit_id": "5256c8af19c2956ff6047a5c", "gender": 2, "id": 20508, "known_for_department": "Acting", "name": "Iain Glen", "order": 11, "original_name": "Iain Glen", "popularity": 27.595, "profile_path": "/n9zXQhjtXQnc30kqF66hdX4i3PG.jpg" }, { "adult": false, "character": "Brandon 'Bran' Stark", "credit_id": "5256c8b119c2956ff6047c22", "gender": 2, "id": 239020, "known_for_department": "Acting", "name": "Isaac Hempstead Wright", "order": 12, "original_name": "Isaac Hempstead Wright", "popularity": 10.71, "profile_path": "/g6ZreLmGrrOzaUCGVFRNPAWfcso.jpg" }, { "adult": false, "character": "Petyr 'Littlefinger' Baelish", "credit_id": "5256c8af19c2956ff6047aa4", "gender": 2, "id": 49735, "known_for_department": "Acting", "name": "Aidan Gillen", "order": 13, "original_name": "Aidan Gillen", "popularity": 28.42, "profile_path": "/fWWRgyJEGjOPcx43CaFiUCWMBLo.jpg" }, { "adult": false, "character": "Sansa Stark", "credit_id": "5256c8b419c2956ff6047f34", "gender": 1, "id": 1001657, "known_for_department": "Acting", "name": "Sophie Turner", "order": 15, "original_name": "Sophie Turner", "popularity": 30.56, "profile_path": "/7nIRWX482ug7fEyufNAL7868kFY.jpg" }, { "adult": false, "character": "Viserys Targaryen", "credit_id": "5256c8af19c2956ff6047ac2", "gender": 2, "id": 205258, "known_for_department": "Acting", "name": "Harry Lloyd", "order": 18, "original_name": "Harry Lloyd", "popularity": 11.872, "profile_path": "/qZSf6OzRpDaZdOCX6pynSRp6jVV.jpg" }, { "adult": false, "character": "Sandor 'The Hound' Clegane", "credit_id": "5256c8b119c2956ff6047c84", "gender": 2, "id": 3075, "known_for_department": "Acting", "name": "Rory McCann", "order": 19, "original_name": "Rory McCann", "popularity": 11.868, "profile_path": "/gGpgbNQVthuzXEZaGRGVqWhk2o5.jpg" }, { "adult": false, "character": "Theon Greyjoy", "credit_id": "5256c8b019c2956ff6047b5a", "gender": 2, "id": 71586, "known_for_department": "Acting", "name": "Alfie Allen", "order": 21, "original_name": "Alfie Allen", "popularity": 10.997, "profile_path": "/7j5xcDQa81jzHbyFajNlN2BGFeZ.jpg" }, { "adult": false, "character": "Joffrey Baratheon", "credit_id": "5256c8b119c2956ff6047c4e", "gender": 2, "id": 489467, "known_for_department": "Acting", "name": "Jack Gleeson", "order": 23, "original_name": "Jack Gleeson", "popularity": 16.383, "profile_path": "/97NkocCiLUwNzMDYjngSm5soGlN.jpg" } ]
Show child attributes
Show child attributes
Example:
[ { "adult": false, "credit_id": "5256c8c419c2956ff604867c", "department": "Production", "gender": 2, "id": 1223796, "job": "Producer", "known_for_department": "Production", "name": "Frank Doelger", "original_name": "Frank Doelger", "popularity": 0.795, "profile_path": null }, { "adult": false, "credit_id": "5c8c8a9d0e0a2612f15252ae", "department": "Production", "gender": 2, "id": 1223799, "job": "Line Producer", "known_for_department": "Directing", "name": "Christopher Newman", "original_name": "Christopher Newman", "popularity": 1.607, "profile_path": "/ih2QUcObX8Xaq9GailAUSf5B1hg.jpg" }, { "adult": false, "credit_id": "5c6d16640e0a262c999fc3c9", "department": "Art", "gender": 2, "id": 8410, "job": "Set Decoration", "known_for_department": "Art", "name": "Richard Roberts", "original_name": "Richard Roberts", "popularity": 1.195, "profile_path": null }, { "adult": false, "credit_id": "5c8c8b779251410ff49defe1", "department": "Production", "gender": 2, "id": 56746, "job": "Co-Producer", "known_for_department": "Writing", "name": "Greg Spence", "original_name": "Greg Spence", "popularity": 0.622, "profile_path": "/j0PVwXUTb4RdfXhUhpJBQj7ZvVK.jpg" }, { "adult": false, "credit_id": "54eee8b8c3a3686d5e005430", "department": "Art", "gender": 1, "id": 9153, "job": "Production Design", "known_for_department": "Art", "name": "Gemma Jackson", "original_name": "Gemma Jackson", "popularity": 0.786, "profile_path": null }, { "adult": false, "credit_id": "5256c8c819c2956ff60487d8", "department": "Production", "gender": 1, "id": 1187530, "job": "Producer", "known_for_department": "Production", "name": "Bernadette Caulfield", "original_name": "Bernadette Caulfield", "popularity": 2.199, "profile_path": null }, { "adult": false, "credit_id": "5256c8c519c2956ff604872c", "department": "Production", "gender": 2, "id": 53758, "job": "Producer", "known_for_department": "Production", "name": "Guymon Casady", "original_name": "Guymon Casady", "popularity": 0.973, "profile_path": null }, { "adult": false, "credit_id": "5256c8c519c2956ff60486fa", "department": "Production", "gender": 2, "id": 54269, "job": "Producer", "known_for_department": "Production", "name": "Ralph Vicinanza", "original_name": "Ralph Vicinanza", "popularity": 0.832, "profile_path": null }, { "adult": false, "credit_id": "5256c8c319c2956ff6048650", "department": "Production", "gender": 2, "id": 8401, "job": "Producer", "known_for_department": "Production", "name": "Mark Huffam", "original_name": "Mark Huffam", "popularity": 1.564, "profile_path": null }, { "adult": false, "credit_id": "54ef391cc3a3686b9a003bd0", "department": "Production", "gender": 2, "id": 1019426, "job": "Casting", "known_for_department": "Production", "name": "Robert Sterne", "original_name": "Robert Sterne", "popularity": 6.073, "profile_path": "/mV9p5hU0N2MlcuKWnsuXbnbITdv.jpg" }, { "adult": false, "credit_id": "54ef3928925141796e00614d", "department": "Production", "gender": 1, "id": 16363, "job": "Casting", "known_for_department": "Production", "name": "Nina Gold", "original_name": "Nina Gold", "popularity": 5.077, "profile_path": "/emeKuabMDN3C8x8ibby7FNtjRgu.jpg" }, { "adult": false, "credit_id": "59a4396bc3a368478f059163", "department": "Production", "gender": 2, "id": 54268, "job": "Co-Executive Producer", "known_for_department": "Production", "name": "Vince Gerardis", "original_name": "Vince Gerardis", "popularity": 0.674, "profile_path": null }, { "adult": false, "credit_id": "5256c8c619c2956ff6048758", "department": "Production", "gender": 1, "id": 1223797, "job": "Executive Producer", "known_for_department": "Production", "name": "Carolyn Strauss", "original_name": "Carolyn Strauss", "popularity": 0.659, "profile_path": "/o88ISZv7ILrPMHutX1XVr7trmkF.jpg" }, { "adult": false, "credit_id": "54eeea3bc3a3680b80006048", "department": "Sound", "gender": 2, "id": 10851, "job": "Original Music Composer", "known_for_department": "Sound", "name": "Ramin Djawadi", "original_name": "Ramin Djawadi", "popularity": 6.742, "profile_path": "/6O0Rew78fRUAa80KC2clejmJF26.jpg" }, { "adult": false, "credit_id": "54eeec309251417968005b14", "department": "Costume & Make-Up", "gender": 1, "id": 50953, "job": "Costume Design", "known_for_department": "Costume & Make-Up", "name": "Michele Clapton", "original_name": "Michele Clapton", "popularity": 1.13, "profile_path": null }, { "adult": false, "credit_id": "54eef1fc925141796e005aee", "department": "Writing", "gender": 2, "id": 237053, "job": "Novel", "known_for_department": "Writing", "name": "George R. R. Martin", "original_name": "George R. R. Martin", "popularity": 1.823, "profile_path": "/1A7W0L9dZz0rCN1oj6h8YUvusdN.jpg" }, { "adult": false, "credit_id": "54eef3e19251417965005c64", "department": "Production", "gender": 2, "id": 237053, "job": "Co-Executive Producer", "known_for_department": "Writing", "name": "George R. R. Martin", "original_name": "George R. R. Martin", "popularity": 1.823, "profile_path": "/1A7W0L9dZz0rCN1oj6h8YUvusdN.jpg" } ]
Example:
3624
⌘I
